//+------------------------------------------------------------------+
//| ScreenShots.mq4 version 2                        iziogas@mail.com|
//+------------------------------------------------------------------+

#property indicator_chart_window

//---- input parameters
extern string identification="ScreenShot";
extern int size_x=1024;
extern int size_y=768;

string fYear() {
   return (TimeYear(TimeCurrent()));
}
  
string fMonth() {
   int i;
   i = TimeMonth(TimeCurrent());
   if (i<10) return ("0"+IntegerToString(i)); else return (IntegerToString(i)); 
}

string fDay() {
   int i;
   i = TimeDay(TimeCurrent());
   if (i<10) return ("0"+IntegerToString(i)); else return (IntegerToString(i)); 
}

string fHour() {
   int i;
   i = TimeHour(TimeCurrent());
   if (i<10) return ("0"+IntegerToString(i)); else return (IntegerToString(i)); 
}

string fMinute() {
   int i;
   i = TimeMinute(TimeCurrent());
   if (i<10) return ("0"+IntegerToString(i)); else return (IntegerToString(i)); 
}

string fSeconds() {
   int i;
   i = TimeSeconds(TimeCurrent());
   if (i<10) return ("0"+IntegerToString(i)); else return (IntegerToString(i)); 
}

int start()
{
   static datetime OpenTime=0;
   datetime CurrentTime;
   string dir;

   //check for new bar
   CurrentTime = iTime(NULL,0,0);
   if (OpenTime==CurrentTime) return(0);
   OpenTime=CurrentTime;

   dir = StringConcatenate(identification,"\\",Symbol(),"\\",IntegerToString(Period()),"\\",fYear(),fMonth(),fDay(),"\\");
   
   ChartScreenShot(
      0,
      StringConcatenate(dir,
                        identification,".",
                        Symbol(),".",
                        IntegerToString(Period()),".",
                        fYear(),fMonth(),fDay(),".",
                        fHour(),fMinute(),fSeconds(),
                        ".gif"),
      size_x,
      size_y);
 

   return(0);
}
